function [ theta, eigenvaluesA, eigenvaluesAh] = oneDLaplacianEigenvalues( n, L )

theta = zeros(max(n),length(n));
eigenvaluesA = zeros(max(n),length(n));
eigenvaluesAh = zeros(max(n),length(n));

for i=1:length(n)
    h = L/(n(i)+1);

    for k=1:n(i)
        theta(k,i) = k*pi/(n(i)+1);
        eigenvaluesA(k,i) = 4*sin(theta(k,i)/2)^2;
        eigenvaluesAh(k,i) = eigenvaluesA(k,i)/h^2;
    end
end
end

