#ifndef KATOPTRON_NODESLIST_H
#define KATOPTRON_NODESLIST_H

#include "katoptron.h"

#include "Map.h"

#include <Tpetra_Map.hpp>
#include <Tpetra_Vector.hpp>
#include <Teuchos_RCP.hpp>
#include <Kokkos_ViewFactory.hpp>

namespace katoptron
{

/**
 * @brief Class used to store the node information.
 */
class NodesList
{
public:
    Kokkos::View<double **, Kokkos::LayoutRight> nodes;

    Map::local_ordinal_type nodes_number;

    NodesList(Problem &pbl, Teuchos::RCP<Map> map);
};

}; // namespace katoptron

#endif //KATOPTRON_NODESLIST_H
